Skip to main content
GET
/
nfts
/
ownership
/
tokens
TypeScript
const response: Promise<FireblocksResponse<GetOwnershipTokensResponse>> = fireblocks.nFTs.getOwnershipTokens(nFTsApiGetOwnershipTokensRequest);
{
  "paging": {
    "next": "<string>"
  },
  "data": [
    {
      "id": "<string>",
      "tokenId": "<string>",
      "standard": "<string>",
      "balance": "<string>",
      "ownershipStartTime": 123,
      "ownershipLastUpdateTime": 123,
      "blockchainDescriptor": "ETH",
      "status": "LISTED",
      "metadataURI": "<string>",
      "cachedMetadataURI": "<string>",
      "media": [
        {
          "url": "<string>",
          "contentType": "IMAGE"
        }
      ],
      "spam": {
        "result": true,
        "source": "OWNER"
      },
      "collection": {
        "id": "<string>",
        "name": "<string>",
        "symbol": "<string>"
      },
      "vaultAccountId": "<string>",
      "description": "<string>",
      "name": "<string>",
      "ncwId": "<string>",
      "ncwAccountId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

blockchainDescriptor
enum<string>

Blockchain descriptor filter

Available options:
ETH,
ETH_TEST3,
ETH_TEST5,
ETH_TEST6,
POLYGON,
POLYGON_TEST_MUMBAI,
AMOY_POLYGON_TEST,
XTZ,
XTZ_TEST,
BASECHAIN_ETH,
BASECHAIN_ETH_TEST3,
BASECHAIN_ETH_TEST5,
ETHERLINK,
ETHERLINK_TEST,
MANTLE,
MANTLE_TEST,
GUN_GUNZILLA,
GUN_GUNZILLA_TEST,
ETH_SONEIUM,
SONEIUM_MINATO_TEST,
IOTX_IOTEX,
KLAY_KAIA,
KLAY_KAIA_TEST,
APECHAIN,
APECHAIN_TEST,
CRONOS,
CRONOS_TEST,
ROBINHOOD_CHAIN_TESTNET_TEST
vaultAccountIds
string

A comma separated list of Vault Account IDs. Up to 100 are allowed in a single request. This field will be ignored when walletType=END_USER_WALLET or ncwId is provided.

ncwId
string

Tenant's Non-Custodial Wallet ID

ncwAccountIds
string

A comma separated list of Non-Custodial account IDs. Up to 100 are allowed in a single request. This field will be ignored when walletType=VAULT_ACCOUNT or ncwId is not provided.

walletType
enum<string>
default:VAULT_ACCOUNT

Wallet type, it can be VAULT_ACCOUNT or END_USER_WALLET

Available options:
VAULT_ACCOUNT,
END_USER_WALLET
ids
string

A comma separated list of NFT IDs. Up to 100 are allowed in a single request.

collectionIds
string

A comma separated list of collection IDs. Up to 100 are allowed in a single request.

pageCursor
string

Page cursor to fetch

pageSize
number

Items per page (max 100)

Required range: 1 <= x <= 100
sort
enum<string>[]

Sort by param, it can be one param or a list of params separated by comma

Available options:
ownershipLastUpdateTime,
name,
collection.name,
blockchainDescriptor
order
enum<string>
default:ASC

Order direction, it can be ASC for ascending or DESC for descending

Available options:
DESC,
ASC
status
enum<string>
default:LISTED

Token ownership status

Available options:
LISTED,
ARCHIVED

Search owned tokens and their collections. Possible criteria for search: token name and id within the contract/collection, collection name, blockchain descriptor and name.

spam
enum<string>

Token ownership spam status.

Available options:
true,
false,
all

Response

200 - application/json
paging
object
data
object[]